#####################################################################################################################
# RTRIM-shell functions. Version RTRIM-shell_2.0, RTRIM-shell_2.0.R
# Functions to support the two rtrim shell scripts.
# Marnix de Zeeuw rtrim@cbs.nl Statistics Netherlands 2019. 
#####################################################################################################################

##Load this packages before run RTRIM
library(rtrim)
library(stringr)
library(zip)
################################################################################
##Change the URL to the corect path to the folder containing RTRIM-shell files##
################################################################################
rtrim_folder<-"D://RTRIM-shell_2.0//"
#############################################################################
#Set the working directory
setwd(rtrim_folder)
#load the functions
source(paste0(rtrim_folder,"01_Scripts//DO_NOT_MODIFY//x3_functions_Shell_Rtrim.R"))

#####Folder check/creation####
createandclean()

#################
#Run RTRIM-shell#
#################
run_rtrim()

#Run this command to stop registering the console into the Log-file.txt
sink()

